## messageblocker 0.1

=== src_cp/Makefile ===
OBJS=message_blocker_cp.o
SOURCES=message_blocker_cp.c
BUILDDIR=../build
LIB=$(BUILDDIR)/message_blocker_cp.so
PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 libosso-abook-1.0 --libs --cflags)
CCFLAGS=-shared
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm $(OBJS)

=== src_sp/Makefile ===
OBJS=message_blocker_sp.o message_blocker_approver.o
SOURCES=message_blocker_sp.c message_blocker_approver.c
BUILDDIR=../build
LIB=$(BUILDDIR)/message_blocker_sp.so
PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 telepathy-glib --libs --cflags)
CCFLAGS=-shared 
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm $(OBJS)

=== debian/changelog ===
messageblocker (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Sat,  6 Nov 2010 02:31:21 +0100

=== debian/control ===
Source: messageblocker
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, hildon-control-panel-dev, libosso-dev, libtelepathy-glib-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-abook-dev, libglib2.0-dev
Standards-Version: 3.7.2
Section: user/network

Package: messageblocker
Architecture: any
Depends: ${shlibs:Depends}
Description: SMS and Chat Message Blocker
 Messageblocker for SMS and IM Chat messages.
 Blocks notification popup for new messages
 based on a per account (SMS, Skype, Jabber, ...)
 configurable blocklist.
XB-Maemo-Display-Name:Message Blocker
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAL
 EwAACxMBAJqcGAAAAAl2cEFnAAAAMAAAADAAzu6MVwAADXxJREFUaN7VWWts
 XVV2/tY+59yXr6997WvHjmMnJBCSEJq2UFRpRjRCnQ6MWv6MBlWqNEMlpJEK
 U6FUTEfTqVpp1BmJ0iIUlakgVQUqM2pQGcpjAAkIw6N5lMQE8jR2HEwcvx/3
 dZ57r9Uf555rm5iQwQSpW9o6vvf67rO+9X3rW3ufC/w/H7SWL//7P16Pr9yS
 h+OotS30GaPuGnw07uMb3zl1yWf2WhZ+6rlJ/NFXr8P6m9uuYvhA+Uwdv3pj
 ftXP1gRgx7UtytfYNnuiei0RXTUS5svR5MD69CCA8AsFMPKRl2Ejf5bPWt8l
 BQsCuQrxU6VKr9Zq5i8AzHyhAM6PBdbJIbctl1bF7k5HWY3VvggUBMAwMDMf
 4eyI2/bReLBqrGsCkE4TFhYi+eBMXfrWObhmQwbZjIKsEQER4AWM0QsBxqdC
 VKtaiq3Wqv+7JgCtOYXNfSnkWyxcnAxRrRps3ZRBW9763P4mApSrBsNjPhYr
 Bp3tNrqLNtL26guuCYBlEbo7HPSUHOSzCuOTIY6frmNTXwq9JQeOTVfOBgHG
 ABenQ5y/GIINMNDjoKcrhTASzC9EXzwAYQFYkEsR+rtTyKcVLkyF+HDUx+Ki
 xpa+WFKXr4o4s67POHfBx9RchPaCjb7+FErtNmxLYSHQYL36GmsDIIAYBmuG
 RYTOgoWMncJEmjAxE8HzXGzqSaGjzYJquGwSRiIIFsZ82WB0IkTdNejrSmF9
 t4PWXNwcxRiI4ThZXzQACAAjECNgim+QSxMGuh3kMzEbp88L+rptbOiM4Fgr
 uYi0YPhCgIm5CPkWC1sH0uhss5FyCMISu7IAohli+GoAELARiObYOpJFCegq
 WMhlSpgod2B8ZhpuxUd/t418VgEAKh5jbCrEyHiIXEahv+RgXbsFIkDMymyL
 EcBcDQlxLCHR0tDEkkDIKaK1rQcpZwEtXMf4tMbp0Qj5hs1WPQYp4Le2pKEA
 uK6GmyHkMurS+2iGCUMJggCJ+CYmJnD06LHLA6hUKgCAQqHwKQgA6ISB5E0C
 pYqA0wv252CHU1hXAHJOChOVNtR0O0QU2roVejtttOYsiACzZY2FSODkbTjW
 ShB2W6bwO3/y7RtJWb0NW5POzs7yzTffNP6pAMrlMkQEqdZWPPf886gD8EUQ
 hiEqi4uoVir42Z49keKIRdsAEQSAShUBex24Pg0JpwFhiAic3AZct2sPqLAL
 RLFUFDUTih4GWAClLm0hBbJvIiuz32gjRACzyMWLE6OHDx950B4aGkJnRweq
 tRpqlQqMMTBaJ1mnyWPHIMAuAb4iRCwNnQiAb//477P/O3vyt3O589SZ84BU
 Z5x5dxriTwOIC88LGPXiLci0/z5ADhJDMYKVVU3AqmYj4oC5PVnPGMbMzGxH
 uVz+cxsA6q6rNm7cKCODgza7rmhmDB04ANPe3j7tut9zcrm7SjMzW6heZ20M
 FspltNZqMGFIM+FW+wUMqJ2dU9jVH4BqkxB/Ji4QAJYCAp9hqABmAgs3o77y
 DSwBEEijK4pIbOEibTYA8oPAOnXy5C1hJvOHOpsVozUirSNSanuG+Zvrz57N
 dQ8NIbe4CAEwU6thzvNg6wjlfCvO9/XjJN2AuWgMlh9A6zwMM8hE2NU9h6xV
 BRsDZobh+OZEgO/7cF0Xn7X9EwEcx0FrawGxhLg5bQBSWVzsAdHf5SuVr9mu
 C8MMYwzIcdB57hxK778PEgFsG2CGrRRsIpBlo7NSQbFyEh+xxsctBbhlgY40
 WEeYtyxMlbO4/ZohCAuMkQYAgVIKk5NTOHPmNJjNZwAQlEpduOmmm0FEcSIM
 g1lgb926Ff/z9tutYtvrBwYHURwdFTgOYAzBsmAxg3K5OA3MEGaRKAJrDSUC
 bdtERmNgZBgbtAGCABCGE0Y41LUOZwpZXqxwlAnFYmbbmLiCmAXFYhE7d954
 BfslQSqVBjMD+AQAAIjCkEWEEYaww5DEtoWUinlOpSAAyDSyxAyEISEMYy1Y
 FpgtKMOw2IdYFsAEJSEsMEZm1cV7X178+Z6/WX9zt2C3MaxiLROCIILremAW
 XK4cRGL2Wlu5+ZpZmhKCNibeFcTXeDXLAhwHUCoJlBqVAzhOzFLMihBbgN04
 jikFiSKI70MAspzMlEr3PbVl2640M25NABAp1Ot1TExMgpk/E0Ch0IbOzhIA
 ggg3ADQY0FEEFoEwxxlmjgNvBASlICJCSwDiekgYAQCtAWMgWsfvSVPr0Y3X
 Xzefy7b4CfUxA4xCoR3bt7euUsQEpVY2MyKCMUsMGGOWAIRhGNOS3DyeJMxL
 xUuEpAsilQIcp2FuDRANFpssNaY0DIGFiTm+cexChNnZWVy4MNbQ9pLeW1ry
 2LRpMzKZ7ApwKwEIRBoSiqIIgnjr2gTQKFqICDFDUilCkhXHiadlxacQ3wca
 YKUxEwYSZqWh2aT44h5AcJw0RJYAxGp1wCzQenV3SizUmE8ysBwAs1AiKxGQ
 iMC2Y0mlUkA6HVNrDJo2IkLUSFnyXcMMbhSdMQKtudmQCoV2tLUVl5G7RLTI
 6gAaW4lGIpIi1hrS8Ne4XXIcuDGxfBrZJOY48+l0nPUwXGJraTaLXURgtAYb
 03COpAHJJUH9JofoxIVEZBmAmArAGFkeFC0LppkmpZYk1liQloKXRE6kNXEj
 GeVyNcpk8giCsFmURPFxMwF2pYOZ4fs+giCI7GeffRYzk5OKRchb7vnMRMtc
 iZZArQD4CQYkAaqJUG9YrUo58vTTvzi1e/fX5kRUKZPJUKnUpRwnDd/3MDo6
 jFqtahJpXW4kEpqfn/OHh4dO2EREsKwZo9Sx4Y0btw9MT6uWKELi88tqYCnQ
 pNoaV1oOhBmWMZhraaEPe3oiOwzf7r9+W/mfHn747XffPfJwf/81N95++zdu
 3LChf6frBur8+VEZHDx64ezZE0ejKPKvYH9HIuD5+bmxkZGhZ23f96nY1jY/
 5fuvhczfFOZsw0KFVrrR0jQG0Dr2fK1BjSuiKH4dRdDMqHieFwEv/cNPf1p/
 7oUX3CNHDu47cuRgz113/em9zLzjwoUxdeLEezNHjx7+t7feeu2XWOXZ56eV
 AYAKgFm7UqlAiUikVEqiiJTWSdCUSGdFg4t9kohZyBgIMzXrxphkksUMDkMK
 iRwA4jiOAJgD4La3FyszM9M4ffpE/cSJ4/89OHjkPwCMXHERLBtKROLdZxii
 rhSqLS1xEMwrPL0pm2Val5hPWc5OgzWZz+ehbdtYAB566CEMDg42JVCtVtXw
 8FD4wQeDrwwOHnm8VquOfp7gAUClUinZsWMHpYAjC7nc2bP9/dBEQlG0lNHl
 DCwv7ARo0omZobSGb9s43tsrfjZ7OGdZQyKy/MGmvPzyC2NvvPHqi0ePHvzZ
 xMT4cSRHrc8xbADS2tYmrSKnpoJg/9n29u1bW1rSPdVq3GmVAiwLohRIKSCK
 KNF6U/fxFIoissNQPuzokHO5XNm47i9Ktj328ccfL7eXYN++R18E8CaA4d9A
 96szcPfdd+Pt48f5O/feq43nPTfLfOpEby8ZrUFhCAqCuD+EYTPQZdfm3xJF
 UGEogVJ4r6sLVa0PWswHihs2yN69e5dnmAGMAnifiNy1BA8AFgD86vnnseVH
 P0JvLrcwHkVtXjr91f5y2SrU6ySWBRCheT4AqF6twnVdqCiCBAEhDEFhCDsI
 aLhYpHdKpbIbBP98z223vbUAcK1Ww/j4+Fpj/VQJQaIICwsLKBaLeugnP3l6
 1ra/9X53903di4uwg6C5pYZScRfxPKIgWJJRwzo9peR4qUQV5kNWEDz3RqXC
 JdvG4cOHr0rwAKCApacDr7/+On7wwx+eN563/2ShEF3M5UCeB4QhJAzj46Ln
 EVwX4nkkYUiN4CkVBBgrFGg4m/WN5z256HnzVrmMUql01YJvAkhGvV7HwsQE
 t2Qyv1yIomPvDAxgLpUSqtfjzZvnAa4r8P14RpGoMIQTBHKxtRWH+vrgRtFb
 GaKXX33pJbi1WvPp3lUH0NHRAQDY+/jj9Lvbt4+SUt8/nskc+fm118q7/f3C
 nifiuoDrxmCCAJbrQmstBzdvpv/atIlH0+lXM5b1fXP27OIdd9wBALj//vu/
 PAbuvPNOKKXktUOHzA927nyzNj9//2nb3vdSf//CoY0byQQBKAZAlutCG4ND
 mzfTr3t6Lp4T2evOzf3VE08++V7XrbcCAB555JGrGvwlAJKRz2ZlaMsW/Mve
 vQeLnve9uuv++I1162YPDQzAhCGcel0iZrxzzTX0blvbWFCt/nW2Wn3gmWee
 ef/kqVPQnnc1fm5ddVzy09+BAwewe/du3HbbbfB9HzWteWFk5Lhn2+65bPb3
 TBjmnNlZemndOjrW1XXBhOHfpsvl/yxu2xaV2ttRq9Vw3333YXh4+EsB8Kmb
 16GhIfT29uKJJ56gTEsLjZ8+bU1H0Xdtz/vj7OSkf0bEUY7z1Paenqdb+/vN
 y6+8wv/66KPYtm3bl5X8ywMAgH379iGTycD3fey44QbqLRbpvv37rRe//nW+
 9oEHaPjNN/Vf7tlD2vcln89jcXERjz322JcK4LI/cNxzzz1NIC25HKarVc6J
 MKIIWRH8AQAdBCIiePDBB7/UwJPxf9+rHuQfW8psAAAAGXRFWHRDb21tZW50
 AENyZWF0ZWQgd2l0aCBHSU1QV4EOFwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAx
 MC0xMS0wOFQyMjowNTo1NSswMTowMH6Qh5oAAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMTAtMTEtMDhUMjI6MDU6NTUrMDE6MDAPzT8mAAAAAElFTkSuQmCC
 ====

## messageblocker 0.2

=== debian/changelog ===
messageblocker (0.2) unstable; urgency=low

  * add an option for automatic deletion of blocked messages

 -- Nicolai Hess <nicolaihess@web.de>  Thu, 24 May 2012 00:16:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: messageblocker
 Priority: extra
 Maintainer: Nicolai Hess <nicolaihess@web.de>
-Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, hildon-control-panel-dev, libosso-dev, libtelepathy-glib-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-abook-dev, libglib2.0-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, hildon-control-panel-dev, libosso-dev, libtelepathy-glib-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-abook-dev, libglib2.0-dev, librtcom-eventlogger-dev
 Standards-Version: 3.7.2
 Section: user/network

## messageblocker 0.3

=== Makefile ===
#HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
#HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
#HILDON_CONTROL_PANEL_LIB_DIR=$(shell pkg-config hildon-control-panel --variable=pluginlibdir)
#HILDON_CONTROL_PANEL_DATA_DIR=$(shell pkg-config hildon-control-panel --variable=plugindesktopentrydir)

HILDON_STATUS_PANEL_LIB_DIR=/usr/lib/hildon-desktop
HILDON_STATUS_PANEL_DATA_DIR=/usr/share/applications/hildon-status-menu
HILDON_CONTROL_PANEL_LIB_DIR=/usr/lib/hildon-control-panel
HILDON_CONTROL_PANEL_DATA_DIR=/usr/share/applications/hildon-control-panel


HILDON_LIB_DIR=/usr/lib
SUBDIRS= src_sp src_cp
BUILDDIR=build
SP_LIB=message_blocker_sp.so
CP_LIB=message_blocker_cp.so
DATA_FILE_SP=message_blocker_sp.desktop
DATA_FILE_CP=message_blocker_cp.desktop
IMAGE_PATH=/usr/share/pixmaps/message_blocker
CONTROL_PANEL_IMAGE_PATH=/usr/share/icons/hicolor/64x64/hildon/

all: create_builddir subdirs

install: all
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(SP_LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_SP) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -m 644 data/$(DATA_FILE_CP) $(DESTDIR)/$(HILDON_CONTROL_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -m 644 $(BUILDDIR)/$(CP_LIB) $(DESTDIR)/$(HILDON_CONTROL_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/message_blocker.png $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/minus.png $(DESTDIR)/$(IMAGE_PATH)
	install -m 644 data/add.png $(DESTDIR)/$(IMAGE_PATH)
	install -d $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)
	install -m 644 data/message_blocker_setup.png $(DESTDIR)/$(CONTROL_PANEL_IMAGE_PATH)

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

create_builddir:
	mkdir -p build

.PHONY: all clean install $(SUBDIRS)

clean:
	rm -rf build
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean); done

=== src_sp/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SOURCES=message_blocker_sp.c message_blocker_approver.c
 BUILDDIR=../build
 LIB=$(BUILDDIR)/message_blocker_sp.so
-PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 telepathy-glib --libs --cflags)
+PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 telepathy-glib rtcom-eventlogger --libs --cflags)
 CCFLAGS=-shared 
 CC=gcc

=== debian/changelog ===
messageblocker (0.3) unstable; urgency=low

  * fixed statusmenu crash on enable/disable messageblocker 
  * add glob-style pattern matching 
    '*' wildcard
    '?' jokerZ

 -- Nicolai Hess <nicolaihess@web.de>  Wed, 13 Jun 2012 23:22:18 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/messageblocker install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
